cards
Knowledge cards: upload, content, tables, versions, verification, comments
Endpoints
- GET
/v1/cardsList cards - POST
/v1/cardsUpload a file as a card - GET
/v1/cards/countCount cards - GET
/v1/cards/export.xlsxExport the card list to XLSX - POST
/v1/cards/bulkRun a bulk action on cards - GET
/v1/cards/{card_id}Get a card with its versions, comments, tables and events - DELETE
/v1/cards/{card_id}Delete a card - PATCH
/v1/cards/{card_id}Update a card - GET
/v1/cards-by-external-id/{external_id}Get a card by external ID - PUT
/v1/cards-by-external-id/{external_id}Create or replace a card by external ID - GET
/v1/cards/{card_id}/contentGet the card text by section - PUT
/v1/cards/{card_id}/contentReplace the content of a card - GET
/v1/cards/{card_id}/tables/{table_id}/rowsList rows of a fact table - GET
/v1/cards/{card_id}/versions/{a}/diff/{b}Compare two versions of a card - GET
/v1/cards/{card_id}/usageList questions whose answers used the card - POST
/v1/cards/{card_id}/reindexReindex a card - DELETE
/v1/cards/{card_id}/comments/{comment_id}Delete a comment - GET
/v1/cards/{card_id}/fileDownload the original file of a card - GET
/v1/cards/{card_id}/exportExport a card to a document - POST
/v1/cards/{card_id}/verifyConfirm that a card is up to date - POST
/v1/cards/{card_id}/commentsAdd a comment - POST
/v1/cards/textCreate a text card (Markdown) - GET
/v1/cards/{card_id}/similarList similar cards - GET
/v1/tagsList card tags of the organization - POST
/v1/cards/archiveUpload an archive of documents - GET
/v1/archives/{job_id}Get an archive extraction job